CSS-BEAUTIFY(1)

NAME
css-beautify - beautify, unpack or deobfuscate CSS

DESCRIPTION
css-beautify.js@1.15.4

  CLI Options:

-f, --file
    Input file(s) (Pass '-' for stdin)

-r, --replace
    Write output in-place, replacing input

-o, --outfile
    Write output to file (default stdout)

--config
    Path to config file

--type
    [js|css|html] ["js"]

-q, --quiet
    Suppress logging to stdout

-h, --help
    Show this help

-v, --version
    Show the version

  Beautifier Options:

-s, --indent-size
    Indentation size [4]

-c, --indent-char
    Indentation character [" "]

-t, --indent-with-tabs
    Indent with tabs, overrides -s and -c

-e, --eol
    Character(s) to use as line terminators. [first newline in file, otherwise "\n]

-n, --end-with-newline
    End output with newline

--indent-empty-lines
    Keep indentation on empty lines

--templating
    List of templating languages (auto,none,angular,django,erb,handlebars,php,smarty) ["auto", auto = none in JavaScript, auto = all except angular in html (and inline javascript/css)]

--editorconfig
    Use EditorConfig to set up the options

-b, --brace-style
    [collapse|expand] ["collapse"]

-L, --selector-separator-newline
    Add a newline between multiple selectors.

-N, --newline-between-rules
    Add a newline between CSS rules.